summaryrefslogtreecommitdiff
path: root/db-4.8.30/test/scr006/chk.offt
diff options
context:
space:
mode:
authorJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
committerJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
commit54df2afaa61c6a03cbb4a33c9b90fa572b6d07b8 (patch)
tree18147b92b969d25ffbe61935fb63035cac820dd0 /db-4.8.30/test/scr006/chk.offt
Berkeley DB 4.8 with rust build script for linux.
Diffstat (limited to 'db-4.8.30/test/scr006/chk.offt')
-rw-r--r--db-4.8.30/test/scr006/chk.offt57
1 files changed, 57 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr006/chk.offt b/db-4.8.30/test/scr006/chk.offt
new file mode 100644
index 0000000..62b991a
--- /dev/null
+++ b/db-4.8.30/test/scr006/chk.offt
@@ -0,0 +1,57 @@
+#!/bin/sh -
+#
+# $Id$
+#
+# Make sure that no off_t's have snuck into the release.
+
+d=../..
+
+[ -f $d/LICENSE ] || {
+ echo 'FAIL: cannot find source distribution directory.'
+ exit 1
+}
+
+t=__1
+
+egrep -w off_t $d/*/*.[ch] $d/*/*.in |
+sed -e "/#undef off_t/d" \
+ -e "/build_brew\//d" \
+ -e "/build_wince\//d" \
+ -e "/build_windows\//d" \
+ -e "/db_env_set_func_ftruncate/d" \
+ -e "/db_env_set_func_pread/d" \
+ -e "/db_env_set_func_pwrite/d" \
+ -e "/db_env_set_func_seek/d" \
+ -e "/env_register.c/d" \
+ -e "/j_ftruncate/d" \
+ -e "/j_pread/d" \
+ -e "/j_pwrite/d" \
+ -e "/j_seek/d" \
+ -e "/mp_fopen.c:.*can't use off_t's here/d" \
+ -e "/mp_fopen.c:.*size or type off_t's or/d" \
+ -e "/mp_fopen.c:.*where an off_t is 32-bits/d" \
+ -e "/mutex\/tm.c:/d" \
+ -e "/off_t because its size depends on/d" \
+ -e "/os_ext.h/d" \
+ -e "/os_flock.c/d" \
+ -e "/zerofill.c:.*stat_offset/d" \
+ -e "/zerofill.c:.*write_offset/d" \
+ -e "/os_map.c:.*(off_t)0))/d" \
+ -e "/os_method.c/d" \
+ -e "/os_rw.c:/d" \
+ -e "/os_seek.c:.*off_t offset;/d" \
+ -e "/os_seek.c:.*offset = /d" \
+ -e "/os_truncate.c:.*off_t offset;/d" \
+ -e "/os_truncate.c:.*off_t stat_offset;/d" \
+ -e "/os_truncate.c:.*offset = /d" \
+ -e "/test_perf\/perf_misc.c:/d" \
+ -e "/test_server\/dbs.c:/d" \
+ -e "/test_vxworks\/vx_mutex.c:/d" > $t
+
+test -s $t && {
+ cat $t
+ echo "FAIL: found questionable off_t usage"
+ exit 1
+}
+
+exit 0